summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Sachau <tommy@gentoo.org>2009-12-06 23:00:08 +0000
committerThomas Sachau <tommy@gentoo.org>2009-12-06 23:00:08 +0000
commit325fce0b47dd77b54468c257054dadbd674f3778 (patch)
treef837b90d5fe5a716687bd6d2706bafc68d98decd /net-firewall/vuurmuur/files
parentAutomatic update to use.local.desc (diff)
downloadsunrise-325fce0b47dd77b54468c257054dadbd674f3778.tar.gz
sunrise-325fce0b47dd77b54468c257054dadbd674f3778.tar.bz2
sunrise-325fce0b47dd77b54468c257054dadbd674f3778.zip
sunrise/ net-libs/libvuurmuur: Readd (lib)vuurmuur
svn path=/sunrise/; revision=9666
Diffstat (limited to 'net-firewall/vuurmuur/files')
-rw-r--r--net-firewall/vuurmuur/files/vuurmuur.conf11
-rw-r--r--net-firewall/vuurmuur/files/vuurmuur.init57
2 files changed, 68 insertions, 0 deletions
diff --git a/net-firewall/vuurmuur/files/vuurmuur.conf b/net-firewall/vuurmuur/files/vuurmuur.conf
new file mode 100644
index 000000000..06958d0a7
--- /dev/null
+++ b/net-firewall/vuurmuur/files/vuurmuur.conf
@@ -0,0 +1,11 @@
+# Space separated list of kernel modules to load on start or 'none'.
+MODULES="none"
+
+# Configuration file to read.
+CONFIG=/etc/vuurmuur/config.conf
+
+# Options to be passed to the Vuurmuur daemon.
+OPTIONS="-l"
+
+# Comment the following line if you want more output when starting/stopping the daemons.
+QUIET="true" \ No newline at end of file
diff --git a/net-firewall/vuurmuur/files/vuurmuur.init b/net-firewall/vuurmuur/files/vuurmuur.init
new file mode 100644
index 000000000..a2e30a961
--- /dev/null
+++ b/net-firewall/vuurmuur/files/vuurmuur.init
@@ -0,0 +1,57 @@
+#!/sbin/runscript
+# Copyright 1999-2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+opts="${opts}"
+
+# this next comment is important, don't remove it - it has to be somewhere in
+# the init script to kill off a warning that doesn't apply to us
+# svc_start svc_stop
+
+depend() {
+ need net iptables
+ use modules
+}
+
+load_modules() {
+ if [ "${MODULES}" != "none" ]; then
+ ebegin "Loading modules for Vuurmuur"
+ local module
+ echo -n " "
+ for module in `echo ${MODULES}`; do
+ modprobe ${module}
+ echo -n "${module} "
+ done
+ echo
+ eend $?
+ fi
+}
+
+start() {
+ if load_modules ; then
+ ebegin "Starting Vuurmuur"
+ if test ! -f ${CONFIG}; then
+ eerror "Configuration file, ${CONFIG} does not exist."
+ eend 2
+ return 2
+ fi
+ start-stop-daemon --start ${QUIET+--quiet} --exec /usr/bin/vuurmuur -- ${OPTIONS}
+ eend $?
+ ebegin "Starting Vuurmuur Log"
+ start-stop-daemon --start ${QUIET+--quiet} --exec /usr/bin/vuurmuur_log
+ eend $?
+ else
+ eend 1
+ return 1
+ fi
+}
+
+stop() {
+ ebegin "Stopping Vuurmuur"
+ start-stop-daemon --stop ${QUIET+--quiet} --pidfile /var/run/vuurmuur.pid
+ eend $?
+ ebegin "Stopping Vuurmuur Log"
+ start-stop-daemon --stop ${QUIET+--quiet} --exec /usr/bin/vuurmuur_log
+ eend $?
+}
+